<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shinsoft.sto.mapper.StocktakingMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.shinsoft.sto.model.Stocktaking">
        <result column="ID" property="id"/>
        <result column="PROCESS_INSTANCE_ID" property="processInstanceId"/>
        <result column="PROCESS_INSTANCE_STATUS" property="processInstanceStatus"/>
        <result column="ADD_ID" property="addId"/>
        <result column="ADD_CODE" property="addCode"/>
        <result column="ADD_NAME" property="addName"/>
        <result column="ADD_DEPT_ID" property="addDeptId"/>
        <result column="ADD_DEPT_CODE" property="addDeptCode"/>
        <result column="ADD_DEPT_NAME" property="addDeptName"/>
        <result column="ADD_TIME" property="addTime"/>
        <result column="MODIFY_ID" property="modifyId"/>
        <result column="MODIFY_CODE" property="modifyCode"/>
        <result column="MODIFY_NAME" property="modifyName"/>
        <result column="MODIFY_TIME" property="modifyTime"/>
        <result column="CANCEL_ID" property="cancelId"/>
        <result column="CANCEL_CODE" property="cancelCode"/>
        <result column="CANCEL_NAME" property="cancelName"/>
        <result column="CANCEL_TIME" property="cancelTime"/>
        <result column="CANCEL_FLAG" property="cancelFlag"/>
        <result column="BELONG_ID" property="belongId"/>
        <result column="COMP_CD" property="compCd"/>
        <result column="DEPT_CD" property="deptCd"/>
        <result column="STORE_CD" property="storeCd"/>
        <result column="STORE_NM" property="storeNm"/>
        <result column="AREA_CD" property="areaCd"/>
        <result column="STACK_CD" property="stackCd"/>
        <result column="ITEM_CD" property="itemCd"/>
        <result column="ITEM_NM" property="itemNm"/>
        <result column="ITEM_TYPE" property="itemType"/>
        <result column="OUM" property="oum"/>
        <result column="BATCH_NO" property="batchNo"/>
        <result column="QTY" property="qty"/>
        <result column="QTY_WET" property="qtyWet"/>
        <result column="QTY_OLD" property="qtyOld"/>
        <result column="QTY_WET_OLD" property="qtyWetOld"/>
        <result column="QTY_NEW" property="qtyNew"/>
        <result column="QTY_WET_NEW" property="qtyWetNew"/>
        <result column="STOCKTAKING_DATE" property="stocktakingDate"/>
        <result column="STOCKTAKING_USER" property="stocktakingUser"/>
        <result column="SUBMIT_EMP_ID" property="submitEmpId"/>
        <result column="SUBMIT_FLAG" property="submitFlag"/>
        <result column="SUBMIT_DTM" property="submitDtm"/>
        <result column="REMARKS" property="remarks"/>
        <result column="ATTR1" property="attr1"/>
        <result column="ATTR2" property="attr2"/>
        <result column="ATTR3" property="attr3"/>
        <result column="ATTR4" property="attr4"/>
        <result column="ATTR5" property="attr5"/>
        <result column="ATTR6" property="attr6"/>
        <result column="ATTR7" property="attr7"/>
        <result column="ATTR8" property="attr8"/>
        <result column="ATTR9" property="attr9"/>
        <result column="ATTR10" property="attr10"/>
    </resultMap>
</mapper>
